MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029184Open CASCADE[OCCT] OCCT:Visualizationpublic2017-10-04 17:552017-10-14 12:20
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.2.1Fixed in Version 
Summary0029184: Visualization - DrawWindow::Save() fails when using WinCodec with PNG codec
DescriptionDrawWindow::Save() dumps bitmap using BGR32 pixel format, which is not supported by PNG encoder in WinCodec.
Steps To Reproduce
pload MODELING
axo
box b 1 2 3
fit
xwd axo.png

Output:
Error: pixel format is unsupported by image format
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0029055closedbugmaster Visualization, Image_AlienPixMap - fallback using Wincodec 

-  Notes
(0071207)
git (administrator)
2017-10-04 19:08

Branch CR29184 has been created by kgv.

SHA-1: eae157cfa4f97077d34245bb33545f9d6b2c0cdb


Detailed log of new commits:

Author: Zia ul Azam
Date: Wed Sep 13 17:12:57 2017 +0200

    0029184: Visualization - DrawWindow::Save() fails when using WinCodec with PNG codec
(0071213)
git (administrator)
2017-10-04 22:10

Branch CR29184 has been updated forcibly by kgv.

SHA-1: 4570d778a86a3e751b3f1e6746ffa8226eaa3a8d
(0071215)
git (administrator)
2017-10-04 22:11

Branch CR29184 has been updated forcibly by kgv.

SHA-1: ea62b9791f99a46497997cd74f5093a09f76de5f
(0071217)
kgv (developer)
2017-10-04 22:17
edited on: 2017-10-04 22:17

Patch is ready for review.

http://jenkins-test-10.nnov.opencascade.com/view/CR29184-master-KGV [^]

Note that GetDIBits() is a little bit slower with Image_Format_BGR then Image_Format_BGR32, but considering extra alpha-zerroring code within Image_AlienPixMap::Save() for FreeImage+Image_Format_BGR32, there should not be much difference.

Image_Format_BGR32 can be used with WinCodec when saving BMP image, but not PNG.
Technically, Image_AlienPixMap::Save() should be improved with implicit pixel conversion logic, but this would require extra copies, and hence it is better using (and simpler for fixing) Image_Format_BGR for now.

(0071219)
abv (manager)
2017-10-04 22:49

No remarks, please test
(0071233)
bugmaster (administrator)
2017-10-05 13:15

Combination -
OCCT branch : CR29184 SHA-1: ea62b9791f99a46497997cd74f5093a09f76de5f
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.


Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0071480)
git (administrator)
2017-10-14 12:20

Branch CR29184 has been deleted by kgv.

SHA-1: ea62b9791f99a46497997cd74f5093a09f76de5f

- Related Changesets
occt: master 7c4ce93b
Timestamp: 2017-09-13 15:12:57
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029184: Visualization - DrawWindow::Save() fails when using WinCodec with PNG codec

DrawWindow::Save() now uses Image_Format_BGR instead of Image_Format_BGR32
for better compatibility with image encoders when dumping WinAPI bitmap.
mod - src/Draw/Draw_Window.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-10-04 17:55 kgv New Issue
2017-10-04 17:55 kgv Assigned To => kgv
2017-10-04 17:57 kgv Steps to Reproduce Updated View Revisions
2017-10-04 19:08 git Note Added: 0071207
2017-10-04 22:10 git Note Added: 0071213
2017-10-04 22:11 git Note Added: 0071215
2017-10-04 22:17 kgv Note Added: 0071217
2017-10-04 22:17 kgv Assigned To kgv => abv
2017-10-04 22:17 kgv Status new => resolved
2017-10-04 22:17 kgv Note Edited: 0071217 View Revisions
2017-10-04 22:18 kgv Relationship added child of 0029055
2017-10-04 22:49 abv Note Added: 0071219
2017-10-04 22:49 abv Assigned To abv => bugmaster
2017-10-04 22:49 abv Status resolved => reviewed
2017-10-05 13:15 bugmaster Note Added: 0071233
2017-10-05 13:15 bugmaster Status reviewed => tested
2017-10-06 14:55 bugmaster Changeset attached => occt master 7c4ce93b
2017-10-06 14:55 bugmaster Status tested => verified
2017-10-06 14:55 bugmaster Resolution open => fixed
2017-10-09 10:23 bugmaster Test case number => Not required
2017-10-14 12:20 git Note Added: 0071480


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker